From 8d1693631ff725582413b7f70d533d42e0615c98 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sun, 25 Sep 2022 15:44:02 +0200
Subject: [PATCH 02/13] gnu: Add java-fasterxml-jackson-core-2.12.2

* gnu/packages/java.scm (java-fasterxml-jackson-core-2.12.2): New variable.
---
 gnu/packages/java.scm | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 3ab324cce9..265951ca2b 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2021 Pierre Langlois <pierre.langlois@gmx.com>
 ;;; Copyright © 2021 Guillaume Le Vaillant <glv@posteo.net>
 ;;; Copyright © 2022 Artyom V. Poptsov <poptsov.artyom@gmail.com>
+;;; Copyright © 2022 Baptiste Strazzulla <bstrazzull@hotmail.fr>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -10032,8 +10033,8 @@ (define-public java-fasterxml-jackson-core
                                "build/test-classes")
              #t)))))
     (native-inputs
-     `(("junit" ,java-junit)
-       ("hamcrest" ,java-hamcrest-core)))
+     (list java-junit
+           java-hamcrest-core))
     (home-page "https://github.com/FasterXML/jackson-core")
     (synopsis "Low-level streaming parser and generator abstractions")
     (description "This package contains core low-level incremental
@@ -10042,6 +10043,21 @@ (define-public java-fasterxml-jackson-core
 (parser, generator) that handle JSON format.")
     (license license:asl2.0))); found on wiki.fasterxml.com/JacksonLicensing
 
+(define-public java-fasterxml-jackson-core-2.12.2
+  (package
+    (inherit java-fasterxml-jackson-core)
+    (name "java-fasterxml-jackson-core")
+    (version "2.12.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/FasterXML/jackson-core")
+                    (commit (string-append "jackson-core-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1kr051mqj2kqw8i247bmcwf9a1l6zxl4mdpp39dlf5kh6820wzv7"))))))
+
 (define-public java-fasterxml-jackson-databind
   (package
     (name "java-fasterxml-jackson-databind")
-- 
2.38.0

